//
// NTUSER.CFG
//
// This file is a template file with the following placeholders for machine
// and user specific information.  Use your favorite editor's search and
// replace function to fill in the following information:
//
//  MYUSERNAME        - your network username or SYSTEM if you are
//                      not on a network.
//  MYMACHINENAME     - name of workstation/server
//  MYPASSWORDSERVER  - server to validate password.
//                      Uncomment PasswordServer line below to enable.
//

//
// The Nt section contains global configuration information for the NT
// kernel and executive.
//

[Nt]
    //
    // Global debugging flag for NT Kernel.
    //

    GlobalFlag = 0x20000008

    //
    // The following extracted from \nt\public\sdk\inc\ntexapi.h for your
    // convenience.  No guarantees expressed or implied.
    //
    // FLG_STOP_ON_EXCEPTION           0x00000001
    // FLG_OB_DELETE_MESSAGE           0x00000002
    // FLG_STATS_ON_PROCESS_EXIT       0x00000004
    // FLG_SHOW_EXCEPTIONS             0x00000008
    // FLG_SHOW_LDR_SNAPS              0x00000010
    // FLG_USER_DEBUGGER               0x00000020
    // FLG_SHOW_THREAD_CREATES         0x00000040
    // FLG_SHOW_THREAD_DELETES         0x00000080
    // FLG_ECHO_POOL_CALLS             0x00000100
    // FLG_LPC_ZONE_ALLOCATION         0x00000200
    // FLG_DISPLAY_ON_SCREEN           0x00000400
    // FLG_DISPLAY_LOAD_TIME           0x00000800
    // FLG_NBF_INCLUDE_NE3200          0x00001000
    // FLG_TRACE_PAGING_INFO           0x00002000
    // FLG_ENABLE_LOAD_OS2_MODULE      0x01000000
    // FLG_SHOW_OB_ALLOC_AND_FREE      0x02000000
    // FLG_SHOW_LDR_PROCESS_STARTS     0x04000000
    // FLG_ENABLE_KDEBUG_SYMBOL_LOAD   0x08000000
    // FLG_DISABLE_UNICODE_WARNING     0x10000000
    // FLG_DISABLE_POOL_BEEF           0x20000000
    // FLG_DUMP_IF_HUNG                0x40000000
    // FLG_BREAK_DELAY                 0x80000000
    //

//
// The Environment contains global environment variable definitions that are
// passed as the initial environment for each new session.
//

[Environment]
    tmp = ?:\nt\tmp
    _ntdrive = ?:
//    init = ?:\init


//
// The Console section controls the default attributes of the console
//

[Console]
    //
    // Default screen attribute is white foreground (0x07) on a
    // blue (0x10) background.
    //

    FillAttr = 0x17

    //
    // Default logon user name
    //

    DefaultLogonUsername = MYUSERNAME

[Sm]

    //
    // Start the Windows subsystem
    //

    SubSystem = Win32Gui

//
// Lanman workstation parameters read by the workstation service when it
// starts up.  
//

[LanmanWorkstation]
    ComputerName = MYMACHINENAME

//
// Lanman server parameters.  Any settable server parameter may be included
// here; this is read at server startup.
//

[LanmanServer]
   name = MYMACHINENAME

//
// Lanman alerter parameters.  List of admin message aliases (separated
// by spaces) to be notified when an admin alert (e.g. log file full,
// printer out of paper, etc.) occurs.
//

[LanmanAlerter]
    AlertNames = MYUSERNAME

//
// Default shares are listed here in the format
//
//     sharename = path [passwd] [options]
//
// where the options are:
//
//     /remark:a_string    comment for the share, sorry, no spaces permitted.
//     /readonly           the share is readonly--no file may be opened for
//                             write or delete.
//     /users:number       the maximum number of connections to the share.
//     /comm               create a comm share.
//     /ipc                create an IPC (pipe) share.
//     /print              create a print share.
//
// NOTE:  Currently NO SECURITY is implemented -- 
// ----   ALL USERS HAVE FULL ACCESS to shares.
//        The /readonly switch does not work.

[LanmanServerShares]
   public = c:\public


//
// The Msv1_0 section supplies parameters to the MSV1_0 Authentication Package.
//
// The PasswordServer parameter specifies the name of an OS/2 server with:
//      IPC$ shared,
//      Defines a user name and password for each of the users mentioned
//         in the Tmpv1_0 section.  (If a user name exists in the Tmpv1_0
//         section and not on the password server, such a user will be
//         silently allowed to log on).
//
// If the PasswordServer parameter is specified, the passwords of all
// interactive logon and LanMan server logon attempts will be validated
// against the specified password server.
//
// If the PasswordServer parameter is not specified, you will be warned
// at boot time, then the password on logon attempts will not be validated.
//

[Msv1_0]
//    PasswordServer = MYPASSWORDSERVER

//
// The UB_Adapter section provides information about the configuration for the
// UB card, used for Email connnection on the Microsoft campus. If the section
// name is defined, all defaults are defined. The defined keywords are:
//
//  AdapterType     defines the type of UB adapter being used. Valid values are
//                  NIUpc (old, long card), NIUpc/EOTP (new, short card), and
//                  NIUps (microchannel card). Default is NIUpc/EOTP.
//  IRQLevel        the interrupt at which this card is configured. Valid
//                  values are 2, 3, 4, and 5 (all card types), and 7 and
//                  12 (NIUpc/EOTP and NIUps cards). Default is 5.
//  IoPort          The IO address for the card io port. Valid values are 350,
//                  358, 360, 368. Default is 368.
//  MemoryWindow    The shared memory window for the card. Valid values are
//                  c8000, d8000 (all card types), and c0000, d0000 for the
//                  NIUpc. Default is d8000.
//
//  The following is an example configuration:
//

[UB_Adapter]
    AdapterType = NIUpc/EOTP
    MemoryWindow = D8000
    IoPort = 368
    IrqLevel = 5
